com.jscape.inet.smtp

## Class SmtpException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.jscape.inet.smtp.SmtpException

- All Implemented Interfaces:
    java.io.Serializable

      public class SmtpException
      extends java.lang.Exception

  SmtpException is thrown by many methods of Smtp class. The methods are masking various exception types into SmtpException, but the event message will be propagated.

  In case that the cause for throwing SmtpException is not exception but invalid client operation or server response, SmtpException message will contain textual part of server response.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmtpException(java.lang.String message)` Creates exception with specified message string.
    `SmtpException(java.lang.String message, java.lang.Throwable cause)` Creates exception with specified message string and source exception
    `SmtpException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SmtpException

          public SmtpException(java.lang.String message)

      Creates exception with specified message string.
      Parameters:
        `message` - the message of exception

    - #### SmtpException

          public SmtpException(java.lang.String message,
                               java.lang.Throwable cause)

      Creates exception with specified message string and source exception
      Parameters:
        `message` - the message of exception
        `cause` - the exception which caused this exception

    - #### SmtpException

          public SmtpException(java.lang.Throwable cause)

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved